[mysql]
default-character-set = utf8

[mysqld]
character_set_server=utf8
default-storage-engine = innodb
skip-name-resolve
innodb_autoinc_lock_mode = 2

default-time-zone='+08:00'

show_compatibility_56=on
log_timestamps=SYSTEM

server_id = 984239105

skip-slave-start

log_bin=mysql-bin
binlog_cache_size = 5M
binlog-format = ROW

explicit_defaults_for_timestamp = true
max_connect_errors = 100
max_allowed_packet = 256M

connect_timeout = 3600
innodb_lock_wait_timeout = 10

slow_query_log = 0
long_query_time = 2

innodb_flush_log_at_trx_commit=1

innodb_log_buffer_size=2M

table_open_cache = 2000
key_buffer_size = 2M
tmp_table_size = 6M
max_connections = 4000
max_user_connections = 1000
thread_cache_size = 120
query_cache_type = 0
query_cache_size = 0
query_cache_min_res_unit = 1K
query_cache_limit = 0